package FW::Base;

use strict;

sub new
  {
    my $pkg = shift;
    my $text = shift;
 
    my $obj = {
        'TEXT'    => $text,
        'HEX'     => '',
        'HEX_LEN' => '',
      };

    bless $obj,$pkg;

    $obj->setText($text);

    return $obj;
  }

sub toHex
  {
    my $obj = shift;

    my @ret = ();

    foreach my $value (@_)
      {
        push(@ret,sprintf("%.2x",$value));
      }
    return @ret;
  }

sub getText
  {
    my $obj = shift;
    return $obj->{'TEXT'};
  }

sub setText
  {
    my $obj = shift;
    $obj->{'TEXT'} = shift;
  }

sub getHex
  {
    my $obj = shift;
    return $obj->{'HEX'};
  }

sub setHex
  {
    my $obj = shift;
    $obj->{'HEX'} = shift;
  }

sub getHexLen
  {
    my $obj = shift;
    return $obj->{'HEX_LEN'};
  }

sub setHexLen
  {
    my $obj = shift;
    $obj->{'HEX_LEN'} = shift;
  }

sub expand
  {
  }

sub toString
  {
    my $obj = shift;
    return $obj->getText();
  }

return 1;
