package FW::Syslog;

use strict;

use base qw(FW::Base);

sub new
  {
    my $pkg = shift;
    my $text = shift;
 
    my $obj = $pkg->SUPER::new($text);
    $obj->{'IP'} = $text;

    bless $obj, $pkg;

    return $obj;
  }

sub getInterface
  {
    my $obj = shift;
    return $obj->{'INTERFACE'};
  }

sub setInterface
  {
    my $obj = shift;
    $obj->{'INTERFACE'} = shift;
  }

sub setIP
  {
    my $obj = shift;
    return $obj->{'IP'};
  }

sub getIP
  {
    my $obj = shift;
    return $obj->{'IP'};
  }


sub toString
  {
    my $obj = shift;

    my @ret = ();

    push(@ret, $obj->toHex( split(/\./,$obj->{'IP'})   ));

    return join(" ",@ret);
  }
 

return 1;

